# Class TickSkyAxisLabeller.SkyTick

java.lang.Object
uk.ac.starlink.ttools.plot2.geom.TickSkyAxisLabeller.SkyTick

Enclosing class:
  `TickSkyAxisLabeller`

public static class TickSkyAxisLabeller.SkyTick extends Object
Aggregates a line label, graphics position and text anchor.

Since:
  21 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SkyTick(Caption label, int px, int py, Anchor anchor)`
Constructor.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SkyTick

public SkyTick(Caption label, int px, int py, Anchor anchor)
Constructor.

Parameters:
  `label` - grid line label text
  `px` - graphics X coordinate
  `py` - graphics Y coordinate
  `anchor` - text anchor (includes baseline angle)